Package ru.nilsoft.tm

# Class TMCommand.tax_types

java.lang.Object
ru.nilsoft.tm.TMCommand.tax_types

Enclosing class:
  `TMCommand`

public static final class TMCommand.tax_types extends Object
Типы систем налогообложения (там где используется несколько систем - номер бита [начиная с 1], там где одна система - значение).

- ## Field Summary

  Fields
  Modifier and Type
  Field
  Description
  `static final byte`
  `COMMON`
  Общая система налогообложения.
  `static final byte`
  `DEFAULT`
  Система налогообложения по умолчанию.
  `static final byte`
  `INCOME`
  Упрощенная доход.
  `static final byte`
  `INCOME_TYPES`
  Единый налог на вмененный доход.
  `static final byte`
  `PATENT`
  Патентная система налогообложения.
  `static final byte`
  `SIMPLE`
  Упрощенная доход минус расход.
  `static final byte`
  `SINGLE_FARMER`
  Единый сельскохозяйственный налог.

- ## Constructor Summary

  Constructors
  Constructor
  Description
  `tax_types()`

- ## Method Summary

  ### Methods inherited from class java.lang.Object

  `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- ## Field Details

  - ### DEFAULT

    public static final byte DEFAULT
    Система налогообложения по умолчанию.
    See Also:
      - Constant Field Values

  - ### COMMON

    public static final byte COMMON
    Общая система налогообложения.
    See Also:
      - Constant Field Values

  - ### INCOME

    public static final byte INCOME
    Упрощенная доход.
    See Also:
      - Constant Field Values

  - ### SIMPLE

    public static final byte SIMPLE
    Упрощенная доход минус расход.
    See Also:
      - Constant Field Values

  - ### INCOME_TYPES

    public static final byte INCOME_TYPES
    Единый налог на вмененный доход. Внимание: упразднен с 01.01.2021.
    See Also:
      - Constant Field Values

  - ### SINGLE_FARMER

    public static final byte SINGLE_FARMER
    Единый сельскохозяйственный налог.
    See Also:
      - Constant Field Values

  - ### PATENT

    public static final byte PATENT
    Патентная система налогообложения.
    See Also:
      - Constant Field Values

- ## Constructor Details

  - ### tax_types

    public tax_types()